libzypp: zypp::PluginFrame::Impl Struct Reference

libzypp 17.38.10

zypp::PluginFrame::Impl Struct Reference

PluginFrame implementation. More...

## Public Types
using | constKeyRange = std::pair<HeaderListIterator, HeaderListIterator>
using | KeyRange = std::pair<HeaderList::iterator, HeaderList::iterator>

## Public Member Functions
| Impl ()
| Impl (const std::string &command_r)
| Impl (const std::string &command_r, ByteArray &&body_r)
| Impl (const std::string &command_r, HeaderInitializerList contents_r)
| Impl (const std::string &command_r, ByteArray &&body_r, HeaderInitializerList contents_r)
| Impl (std::istream &stream_r)
bool | empty () const
const std::string & | command () const
void | setCommand (const std::string &command_r)
const ByteArray & | body () const
ByteArray & | bodyRef ()
void | setBody (ByteArray &&body_r)
HeaderList & | headerList ()
const HeaderList & | headerList () const
const std::string & | getHeader (const std::string &key_r) const
std::string | getHeader (const std::string &key_r, const std::string &default_r) const
std::string | getHeaderNT (const std::string &key_r, const std::string &default_r) const
HeaderList::value_type | mkHeaderPair (const std::string &key_r, const std::string &value_r)
void | setHeader (const std::string &key_r, const std::string &value_r)
void | addHeader (const std::string &key_r, const std::string &value_r)
void | addHeader (HeaderInitializerList contents_r)
void | addRawHeader (const std::string_view data)
void | clearHeader (const std::string &key_r)
std::ostream & | writeTo (std::ostream &stream_r) const

## Static Public Member Functions
static std::string | escapeHeader (std::string_view val, bool escapeColon=true)
static std::string | unescapeHeader (std::string_view val)
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl.

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Private Attributes
std::string | _command
ByteArray | _body
HeaderList | _header

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

PluginFrame implementation.

Definition at line 32 of file PluginFrame.cc.

## Member Typedef Documentation

## ◆ constKeyRange

using zypp::PluginFrame::Impl::constKeyRange = std::pair<HeaderListIterator, HeaderListIterator>

Definition at line 169 of file PluginFrame.cc.

## ◆ KeyRange

using zypp::PluginFrame::Impl::KeyRange = std::pair<HeaderList::iterator, HeaderList::iterator>

Definition at line 170 of file PluginFrame.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/6]

zypp::PluginFrame::Impl::Impl | ( |  | ) |
| inline

Definition at line 35 of file PluginFrame.cc.

## ◆ Impl() [2/6]

zypp::PluginFrame::Impl::Impl | ( | const std::string & | command_r | ) |
| inline

Definition at line 38 of file PluginFrame.cc.

## ◆ Impl() [3/6]

zypp::PluginFrame::Impl::Impl | ( | const std::string & | command_r,
|  | ByteArray && | body_r )
| inline

Definition at line 41 of file PluginFrame.cc.

## ◆ Impl() [4/6]

zypp::PluginFrame::Impl::Impl | ( | const std::string & | command_r,
|  | HeaderInitializerList | contents_r )
| inline

Definition at line 45 of file PluginFrame.cc.

## ◆ Impl() [5/6]

zypp::PluginFrame::Impl::Impl | ( | const std::string & | command_r,
|  | ByteArray && | body_r,
|  | HeaderInitializerList | contents_r )
| inline

Definition at line 48 of file PluginFrame.cc.

## ◆ Impl() [6/6]

zypp::PluginFrame::Impl::Impl | ( | std::istream & | stream_r | ) |

Definition at line 271 of file PluginFrame.cc.

## Member Function Documentation

## ◆ empty()

bool zypp::PluginFrame::Impl::empty | ( |  | ) | const
| inline

Definition at line 55 of file PluginFrame.cc.

## ◆ command()

const std::string & zypp::PluginFrame::Impl::command | ( |  | ) | const
| inline

Definition at line 58 of file PluginFrame.cc.

## ◆ setCommand()

void zypp::PluginFrame::Impl::setCommand | ( | const std::string & | command_r | ) |
| inline

Definition at line 61 of file PluginFrame.cc.

## ◆ body()

const ByteArray & zypp::PluginFrame::Impl::body | ( |  | ) | const
| inline

Definition at line 68 of file PluginFrame.cc.

## ◆ bodyRef()

ByteArray & zypp::PluginFrame::Impl::bodyRef | ( |  | ) |
| inline

Definition at line 71 of file PluginFrame.cc.

## ◆ setBody()

void zypp::PluginFrame::Impl::setBody | ( | ByteArray && | body_r | ) |
| inline

Definition at line 74 of file PluginFrame.cc.

## ◆ escapeHeader()

std::string zypp::PluginFrame::Impl::escapeHeader | ( | std::string_view | val,
|  | bool | escapeColon = true )
| inlinestatic

Definition at line 77 of file PluginFrame.cc.

## ◆ unescapeHeader()

std::string zypp::PluginFrame::Impl::unescapeHeader | ( | std::string_view | val | ) |
| inlinestatic

Definition at line 126 of file PluginFrame.cc.

## ◆ headerList() [1/2]

HeaderList & zypp::PluginFrame::Impl::headerList | ( |  | ) |
| inline

Definition at line 172 of file PluginFrame.cc.

## ◆ headerList() [2/2]

const HeaderList & zypp::PluginFrame::Impl::headerList | ( |  | ) | const
| inline

Definition at line 175 of file PluginFrame.cc.

## ◆ getHeader() [1/2]

const std::string & zypp::PluginFrame::Impl::getHeader | ( | const std::string & | key_r | ) | const
| inline

Definition at line 178 of file PluginFrame.cc.

## ◆ getHeader() [2/2]

std::string zypp::PluginFrame::Impl::getHeader | ( | const std::string & | key_r,
|  | const std::string & | default_r ) const
| inline

Definition at line 189 of file PluginFrame.cc.

## ◆ getHeaderNT()

std::string zypp::PluginFrame::Impl::getHeaderNT | ( | const std::string & | key_r,
|  | const std::string & | default_r ) const
| inline

Definition at line 200 of file PluginFrame.cc.

## ◆ mkHeaderPair()

HeaderList::value_type zypp::PluginFrame::Impl::mkHeaderPair | ( | const std::string & | key_r,
|  | const std::string & | value_r )
| inline

Definition at line 206 of file PluginFrame.cc.

## ◆ setHeader()

void zypp::PluginFrame::Impl::setHeader | ( | const std::string & | key_r,
|  | const std::string & | value_r )
| inline

Definition at line 211 of file PluginFrame.cc.

## ◆ addHeader() [1/2]

void zypp::PluginFrame::Impl::addHeader | ( | const std::string & | key_r,
|  | const std::string & | value_r )
| inline

Definition at line 217 of file PluginFrame.cc.

## ◆ addHeader() [2/2]

void zypp::PluginFrame::Impl::addHeader | ( | HeaderInitializerList | contents_r | ) |
| inline

Definition at line 222 of file PluginFrame.cc.

## ◆ addRawHeader()

void zypp::PluginFrame::Impl::addRawHeader | ( | const std::string_view | data | ) |
| inline

Definition at line 228 of file PluginFrame.cc.

## ◆ clearHeader()

void zypp::PluginFrame::Impl::clearHeader | ( | const std::string & | key_r | ) |
| inline

Definition at line 237 of file PluginFrame.cc.

## ◆ writeTo()

std::ostream & zypp::PluginFrame::Impl::writeTo | ( | std::ostream & | stream_r | ) | const

Definition at line 343 of file PluginFrame.cc.

## ◆ nullimpl()

shared_ptr< Impl > zypp::PluginFrame::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 252 of file PluginFrame.cc.

## ◆ clone()

Impl * zypp::PluginFrame::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 260 of file PluginFrame.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _command

std::string zypp::PluginFrame::Impl::_command
| private

Definition at line 246 of file PluginFrame.cc.

## ◆ _body

ByteArray zypp::PluginFrame::Impl::_body
| private

Definition at line 247 of file PluginFrame.cc.

## ◆ _header

HeaderList zypp::PluginFrame::Impl::_header
| private

Definition at line 248 of file PluginFrame.cc.

The documentation for this struct was generated from the following file:

- zypp-core/rpc/PluginFrame.cc